Вернуться RU-CENTER: Форум > Сервис хостинга > Хостинг сайтов / Web-Hosting > Использование систем управления контентом
 
Опции темы Опции просмотра
Старый 09.02.2017, 00:53   #1
lsk4ygo
 
Регистрация: 09.02.2017
Сообщений: 5
Проблемы с обновлением joomla

Здравстуйте.
Наш сайт был взломан и заблокирован хостером)
Мы провели работы над сайтом:
1)полностью удалена папка docs
2)папка docs восстановлена из старого bkup

Хочу обновить сайт с 3.3.3 до joomla 3.6.5, но получаю ошибку

Предупреждение
Update: :Extension: Не удалось открыть https://update.joomla.org/core/sts/extension_sts.xml

пробую установить из каталога:

Предупреждение
JInstaller: :Install: Не найден установочный XML-файл Joomla

Ошибка
По данному пути корректный пакет не найден

базу пробовал откатить - не помогает.
может быть посоветуете что? предполагаю что nic.ru изменил какие-то настройки из-за заражения

p.s. через Менеджер расширений: Установка -> загрузить файл пакета
смог установить 3.4.0, скаченный с гитхаба(с xml внутри). из каталога не ставится.
ошибка осталась.

Последний раз редактировалось lsk4ygo; 09.02.2017 в 03:53..
lsk4ygo вне форума  
Старый 09.02.2017, 11:11   #2
Станислав Муравьев
Служба поддержки
 
Аватар для Станислав Муравьев
 
Регистрация: 11.03.2009
Сообщений: 1,409
Цитата:
может быть посоветуете что? предполагаю что nic.ru изменил какие-то настройки из-за заражения
Мы не меняем каких-либо настроек.

Цитата:
Update: :Extension: Не удалось открыть https://update.joomla.org/core/sts/extension_sts.xml
Убедитесь, что у Вас подключено расширение openssl для PHP, и Вы используете одну из последних версий PHP (5.4 или выше).
Станислав Муравьев вне форума  
Старый 09.02.2017, 14:56   #3
lsk4ygo
 
Регистрация: 09.02.2017
Сообщений: 5
проблема была в opeenssl

переключил в админке хоста php c 5.3 на 5.4, получил ошибку при заходе на сайт
Ошибка 502
Сервер не отвечает. Пожалуйста, повторите запрос через некоторое время.
переключил обратно - не помогает.
странно. вроде бы если вернуть версию все должно заработать...
в чем может быть проблема?

p.s.похоже на то, что не смотря на то , что я вернул 5.3 версию, все равно применяются настройки 5.4

Последний раз редактировалось lsk4ygo; 09.02.2017 в 15:25..
lsk4ygo вне форума  
Старый 09.02.2017, 15:51   #4
lsk4ygo
 
Регистрация: 09.02.2017
Сообщений: 5
все. проблема решилась. слетела кодировка на стандартную. поправил - все заработало.
Спасибо за помощь)

p.s. а с php походу шаблон не дружит. придется остаться)
lsk4ygo вне форума  
Старый 09.02.2017, 19:02   #5
lsk4ygo
 
Регистрация: 09.02.2017
Сообщений: 5
рррр. да что за фигня то(* почему раньше все работало?
автоматом сайт обновляется(но до последней версии - криво. хочу промежуточную сначала т.е. 3.3.3.-3.6.0-3.6.5). из каталога не хочет. дал 777 на папку с архивом и на архив.
теперь не может найти xml файл.
может кто подсказать с чем связано формирование этих файлов? не понимаю почему при автомат-м обновлении он его формирует, а в ручную - не желает....
lsk4ygo вне форума  
Старый 09.02.2017, 19:13   #6
lsk4ygo
 
Регистрация: 09.02.2017
Сообщений: 5
аааа! все. обновилось автоматом. включил cgi_module и openssl на php5.4 и отключил плагин remember me (запомни меня). поставил 777 на папку времен-х файлов.
может кому пригодится.
по поводу ручного обновления и xml файлов - с радостью выслушаю советы и предложения
еще раз спасибо за подсказку про php)
lsk4ygo вне форума  

Опции темы
Опции просмотра


© Региональный Сетевой Информационный Центр, 2008—2017
При использовании материалов указание источника «Форум RU-CENTER» и ссылка на http://forum.nic.ru обязательны.